This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 978036 - pygrub cannot start PV F19 guest under Xen 4.2
pygrub cannot start PV F19 guest under Xen 4.2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 16:53 EDT by Konrad Rzeszutek Wilk
Modified: 2013-07-06 21:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: xen-4.1.5-9.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 23:30:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for pygrub. (6.92 KB, patch)
2013-06-25 16:53 EDT, Konrad Rzeszutek Wilk
no flags Details | Diff

  None (edit)
Description Konrad Rzeszutek Wilk 2013-06-25 16:53:52 EDT
Created attachment 765284 [details]
Patch for pygrub.

Description of problem:

Note, this looks like bug 745335 but it is not.

Anyhow, when trying to start a guest using 'xl':

[root@tst031 ~]# more test.xm
memory=1024
bootloader="pygrub"
maxmem=2048
maxvcpus = 2
vcpus = 2
name = "F19-32"
vif = [ 'mac=00:0f:4b:01:00:87,bridge=switch' ]
disk= ['phy:/dev/vg_guests/disk,hda,w']
vfb = [ 'vnc=1, vnclisten=0.0.0.0,vncunused=1']

I get:

[root@tst031 ~]# xl create -c test.xm
Parsing config from test.xm
libxl: error: libxl_bootloader.c:628:bootloader_finished: bootloader failed - consult logfile /var/log/xen/bootloader.14.log
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: bootloader [4438] exited with error status 1
libxl: error: libxl_create.c:919:domcreate_rebuild_done: cannot (re-)build domain: -3
libxl: error: libxl_dom.c:35:libxl__domain_type: unable to get domain type for domid=14
Unable to attach console
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: console child [0] exited with error status 1


[root@tst031 ~]# cat /var/log/xen/bootloader.14.log
Using <class 'grub.GrubConf.Grub2ConfigFile'> to parse /grub2/grub.cfg
Traceback (most recent call last):
  File "/usr/lib64/xen/bin/pygrub", line 865, in <module>
    raise RuntimeError, "Unable to find partition containing kernel"
RuntimeError: Unable to find partition containing kernel


If I use 'virsh' instead:

[root@tst031 ~]# virsh start F19-32
error: Failed to start domain F19-32
error: internal error libxenlight failed to create new domain 'F19-32'



Version-Release number of selected component (if applicable):

The patch titled "pygrub/GrubConf: fix boot problem for fedora 19	grub.cfg (2nd attempt)" (http://lists.xen.org/archives/html/xen-devel/2013-06/msg02348.html) should fix it.



How reproducible:
100%

Steps to Reproduce:
1. Install guest (you will run in bug #977987), there is a work-around to use "-x vnc"
2. Boot the PV guest
3.

Actual results:

Parsing config from test.xm
libxl: error: libxl_bootloader.c:628:bootloader_finished: bootloader failed - consult logfile /var/log/xen/bootloader.14.log
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: bootloader [4438] exited with error status 1
libxl: error: libxl_create.c:919:domcreate_rebuild_done: cannot (re-)build domain: -3
libxl: error: libxl_dom.c:35:libxl__domain_type: unable to get domain type for domid=14
Unable to attach console
libxl: error: libxl_exec.c:118:libxl_report_child_exitstatus: console child [0] exited with error status 1


Expected results:

A menu of GRUB if using 'xl'

Additional info:

    pyGRUB  version 0.6
 ┌────────────────────────────────────────────────────────────────────────┐
 │ Fedora, with Linux 3.9.5-301.fc19.i686.PAE                             │
 │ Fedora, with Linux 0-rescue-0235a1c6442e44ed9a1d935f5ab44348           │
 │                                                                        │
 │                                                                        │
 │                                                                        │
 │                                                                        │
 │                                                                        │
 │                                                                        │
 └────────────────────────────────────────────────────────────────────────┘
     Use the ^ and ┴ keys to select which entry is highlighted.
     Press enter to boot the selected OS, 'e' to edit the
     commands before booting, 'a' to modify the kernel arguments
     before booting, or 'c' for a command line.

and if using 'virsh' then

[root@tst031 ~]# virsh start F19-32
Domain F19-32 started


Additional info:
Comment 1 Konrad Rzeszutek Wilk 2013-06-25 16:58:47 EDT
I built an RPM with said patch and it boots the guests.
Comment 2 Fedora Update System 2013-06-26 15:39:10 EDT
xen-4.2.2-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xen-4.2.2-10.fc19
Comment 3 Fedora Update System 2013-06-26 16:09:33 EDT
xen-4.2.2-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xen-4.2.2-10.fc18
Comment 4 Adam Williamson 2013-06-26 17:26:04 EDT
This is a host-side issue, right? Meaning it can be fixed satisfactorily with a post-release update, we do not need to put a fix for this into the release images?
Comment 5 Fedora Update System 2013-06-26 17:48:24 EDT
xen-4.1.5-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xen-4.1.5-9.fc17
Comment 6 Michael Young 2013-06-26 18:03:26 EDT
(In reply to Adam Williamson from comment #4)
> This is a host-side issue, right? Meaning it can be fixed satisfactorily
> with a post-release update, we do not need to put a fix for this into the
> release images?

Yes, the fix is on the dom0 side, which can be applied via an update after installation. The F19 image to install the domU guest doesn't need to change.
Comment 7 Fedora Update System 2013-06-27 11:47:14 EDT
Package xen-4.2.2-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.2.2-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11837/xen-4.2.2-10.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-07-02 23:30:10 EDT
xen-4.2.2-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-07-06 21:30:40 EDT
xen-4.2.2-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-07-06 21:37:18 EDT
xen-4.1.5-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.